List domains
/domainsReturns the domains your API key can access, newest first.
curl "https://api.scriptylabs.cloud/v1/domains" \
-H "x-api-key: $SCRIPTYLABS_API_KEY"{
"data": [
{
"id": "6f1c…",
"name": "yourbusiness.rw",
"status": "active",
"registrationDate": "2026-10-30T09:12:00.000Z",
"expirationDate": "2027-10-30T09:12:00.000Z",
"autoRenewal": true,
"isLocked": true,
"nameservers": ["ns1.scriptylabs.com", "ns2.scriptylabs.com"],
"registrar": "scriptylabs",
"dnsProvider": "scriptylabs"
}
],
"meta": { "total": 1, "page": 1, "limit": 20, "totalPages": 1 }
}